/// packetId : ""
/// amount : 0
/// senderUserId : 0

class SCUserRedPacketGrabRes {
  SCUserRedPacketGrabRes({
      String? packetId,
      num? amount,
      num? senderUserId,}){
    _packetId = packetId;
    _amount = amount;
    _senderUserId = senderUserId;
}

  SCUserRedPacketGrabRes.fromJson(dynamic json) {
    _packetId = json['packetId'];
    _amount = json['amount'];
    _senderUserId = json['senderUserId'];
  }
  String? _packetId;
  num? _amount;
  num? _senderUserId;

  String? get packetId => _packetId;
  num? get amount => _amount;
  num? get senderUserId => _senderUserId;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['packetId'] = _packetId;
    map['amount'] = _amount;
    map['senderUserId'] = _senderUserId;
    return map;
  }

}